# DataExchange
TKIGES
IGESGeom

# IGESGeom_CopiousData Class Reference

defines IGESCopiousData, Type <106> Form <1-3,11-13,63>
in package IGESGeom
This entity stores data points in the form of pairs,
triples, or sextuples. An interpretation flag value
signifies which of these forms is being used.

`#include <IGESGeom_CopiousData.hxx>`

Inheritance diagram for IGESGeom_CopiousData:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_CopiousData ()
Standard_EXPORT void | Init (const Standard_Integer aDataType, const Standard_Real aZPlane, const Handle(TColStd_HArray1OfReal)&allData)
| This method is used to set the fields of the class CopiousData - aDataType : Specifies whether data is a pair or a triple or a sextuple. - aZPlane : Common Z value for all points if datatype = 1 - allData : Data to be read in groups of 2, 3 or 6 .
Standard_EXPORT void | SetPolyline (const Standard_Boolean mode)
| Sets Copious Data to be a Polyline if <mode> is True (Form = 11-12-13) or a Set of Points else (Form 1-2-3) .
Standard_EXPORT void | SetClosedPath2D ()
| Sets Copious Data to be a Closed Path 2D (Form 63) Warning : DataType is not checked and must be set to ONE by Init .
Standard_EXPORT Standard_Boolean | IsPointSet () const
| Returns True if <me> is a Set of Points (Form 1-2-3) .
Standard_EXPORT Standard_Boolean | IsPolyline () const
| Returns True if <me> is a Polyline (Form 11-12-13) .
Standard_EXPORT Standard_Boolean | IsClosedPath2D () const
| Returns True if <me> is a Closed Path 2D (Form 63) .
Standard_EXPORT Standard_Integer | DataType () const
| returns data type 1 = XY ( with common Z given by plane) 2 = XYZ ( point) 3 = XYZ + Vec(XYZ) (point + normal vector)
Standard_EXPORT Standard_Integer | NbPoints () const
| returns the number of tuples
Standard_EXPORT Standard_Real | Data (const Standard_Integer NumPoint, const Standard_Integer NumData) const
| Returns an individual Data, given the N0 of the Point //! and the B0 of the Coordinate (according DataType) .
Standard_EXPORT Standard_Real | ZPlane () const
| If datatype = 1, then returns common z value for all data else returns 0 .
Standard_EXPORT gp_Pnt | Point (const Standard_Integer anIndex) const
| returns the coordinates of the point specified by the anIndex raises exception if anIndex <= 0 or anIndex > NbPoints()
Standard_EXPORT gp_Pnt | TransformedPoint (const Standard_Integer anIndex) const
| returns the coordinates of the point specified by the anIndex after applying Transf. Matrix raises exception if anIndex <= 0 or anIndex > NbPoints()
Standard_EXPORT gp_Vec | Vector (const Standard_Integer anIndex) const
| returns i, j, k values if 3-tuple else returns (0, 0, 0) raises exception if anIndex <= 0 or anIndex > NbPoints()
Standard_EXPORT gp_Vec | TransformedVector (const Standard_Integer anIndex) const
| returns transformed vector if 3-tuple else returns (0, 0, 0) raises exception if anIndex <= 0 or anIndex > NbPoints()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theDataType
Standard_Real | theZPlane
Handle_TColStd_HArray1OfReal | theData

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_CopiousData::IGESGeom_CopiousData | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESGeom_CopiousData::Data | ( | const Standard_Integer | NumPoint,
|  | const Standard_Integer | NumData
| ) | const

Standard_EXPORT Standard_Integer IGESGeom_CopiousData::DataType | ( |  | ) | const

Standard_EXPORT const IGESGeom_CopiousData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_CopiousData::Init | ( | const Standard_Integer | aDataType,
|  | const Standard_Real | aZPlane,
|  | const Handle(TColStd_HArray1OfReal)& | allData
| ) |

Standard_EXPORT Standard_Boolean IGESGeom_CopiousData::IsClosedPath2D | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESGeom_CopiousData::IsPointSet | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESGeom_CopiousData::IsPolyline | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGeom_CopiousData::NbPoints | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_CopiousData::Point | ( | const Standard_Integer | anIndex | ) | const

Standard_EXPORT void IGESGeom_CopiousData::SetClosedPath2D | ( |  | ) |

Standard_EXPORT void IGESGeom_CopiousData::SetPolyline | ( | const Standard_Boolean | mode | ) |

Standard_EXPORT gp_Pnt IGESGeom_CopiousData::TransformedPoint | ( | const Standard_Integer | anIndex | ) | const

Standard_EXPORT gp_Vec IGESGeom_CopiousData::TransformedVector | ( | const Standard_Integer | anIndex | ) | const

Standard_EXPORT gp_Vec IGESGeom_CopiousData::Vector | ( | const Standard_Integer | anIndex | ) | const

Standard_EXPORT Standard_Real IGESGeom_CopiousData::ZPlane | ( |  | ) | const

## Field Documentation

Handle_TColStd_HArray1OfReal IGESGeom_CopiousData::theData `[private]`

Standard_Integer IGESGeom_CopiousData::theDataType `[private]`

Standard_Real IGESGeom_CopiousData::theZPlane `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_CopiousData.hxx